/*
 * Copyright (c) 2010 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: dkimdef.h,v 1.5 2013/10/23 22:13:38 ca Exp $
 */

#ifndef SM_DKIMDEF_H
#define SM_DKIMDEF_H 1

#if MTA_USE_DKIM

#define DKIM_SM_RSA_SHA256	0
#define DKIM_SM_RSA_SHA1	1
#define DKIM_CANON_SIMPLE	0
#define DKIM_CANON_RELAXED	1

#define SM_IO_WHAT_HASH	30	/* sm/io.h: hash [G] */

/* maximum length of all headers together */
#define SM_TOTAL_HDR_LEN	1 UNIT_MBYTES
/* maximum length of a single header value */
#define SM_HDR_LEN_MAX	64 UNIT_KBYTES

#endif /* MTA_USE_DKIM */

#endif /* SM_DKIMDEF_H */
