#!/bin/sh
# $Id: t-cert-0.sh,v 1.4 2013/09/29 00:53:32 ca Exp $
#
#
test -s stop && exit 1
#

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../libmta
fi
CERTD=${SD}/../chkmts

ERRORS=0
PRG=./t-cert

while read A B C D
do
  OPTS=""
  [ X"${B}" != "X-" ] && OPTS="${OPTS} -s ${B}"
  [ X"${C}" != "X-" ] && OPTS="${OPTS} -i ${C}"
  [ X"${D}" != "X-" ] && OPTS="${OPTS} -d ${D}"

  if ${PRG} ${OPTS} "${A}"
  then
    :
  else
    ERRORS=`expr ${ERRORS} + 1 `
    break
  fi

done <<EOF
${CERTD}/smcert.pem	host.example.org	CA	-
${SD}/badcert.pem	BadCert:ContainsNUL ipsCA+20CLASEA1+20Certification+20Authority	/C=US/ST=California/L=San+20Francisco/O=Security/OU=Secure+20Unit/CN=*+5Cx00.secureconnection.cc
EOF

exit ${ERRORS}
